#include "blindapplet.h"
#include <qpainter.h>
#include <qgfx_qws.h>
#include <qmessagebox.h>
BlindApplet::BlindApplet( QWidget *parent, const char *name ) 
				: QWidget( parent, name )
{
	setFixedHeight( 18 );
	setFixedWidth( 14 );
	blindWidget = 0;
}

BlindApplet::~BlindApplet() {
}

void 
BlindApplet::mousePressEvent( QMouseEvent * ) {
	if ( blindWidget == 0 ) {
		blindWidget = new BlindMain;
	}
	blindWidget->resize( qt_screen->width(), qt_screen->height());
	blindWidget->move( 0, 0 );
	blindWidget->show();
	blindWidget = 0;
	//blindWidget->showFullScreen();
	
	// QMessageBox::information( 0, tr( "Debug" ), tr( "Mouse pressed." ) );
}

void
BlindApplet::paintEvent( QPaintEvent * ) {
	QPainter p( this );
	p.fillRect( 0, 0, width(), height(), darkGray );
}
